================================================================================
Intel(R) Server Board S3420GPLX, S3420GPLC, S3420GPRX, S3420GPV
Intel(R) Server System SR1630GP and SR1630HGP BIOS Release Notes
================================================================================
INTEL Product Collaboration and Systems Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
================================================================================
DATE    : Mar 26, 2018
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R0054
================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2018 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Version : S3420GP.86B.01.00.0054
Build Date   : Mar 26, 2018

================================================================================
                              BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
Intel(R) Xeon(R) Processor 3400 Series
Intel(R) Core(TM) Processor i3-500 Series
Intel(R) Pentium(R) Processor G6950

Microcode update versions:
CPUID     Version      Status
0x106E5   0x00000009   (Lynnfield B1)
0x20652   0x00000010   (Clarkdale C2)
0x20655   0x00000006   (Clarkdale K0)

On-Board Component Option ROM Versions: 
LSI SWRAID Oprom               : ESRT2 A.10.02251631I
Intel Matrix RAID Oprom	       : 10.8.0.1303
Intel iSCSI Boot Oprom         : v2.3.62
SM712 Video Oprom              : v2.24.03r
IBMC Matrox VGA                : VBE BIOS V3.8SL
82574L PXE Version     : Intel(R) Boot Agent GE v1.3.24
82578DM PXE Version    : Intel(R) Boot Agent GE v1.3.35
82576 PXE Version      : Intel(R) Boot Agent GE v1.3.38 
82578DM EEPROM Version on LX/LC/RX/V     : v3.1


Memory Reference Code Version       : Lynnfield MRC v1.3
Memory Reference Code Version       : *Dale MRC v1.5
Ibex Peak Reference code Version    : 1.04
Management Engine Firmware Version  : 6.0.30.1199

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
  UEFI iFlash32 2.6 Build 15  
  
Production boards:
  Product           BIOS                      BMC FW               FRUSDR     
  S3420GP           S3420GP.86B.01.00.0022      01.10                  12
  
IMPORTANT Notice: 
 1. Intel(R) Core(TM) Processor i3-540, i3-530 C2 Stepping must work with 
    Ignition ME FW 6.0.20.1185 or later version.
 2. Please clear CMOS after BIOS update to activate ME-FW 1185 or later version
    if the onboard ME version is before 6.0.20.1185.
 3. Please use Iflash32 version 2.6 build 15 or later version to support Microsoft*
    OEM Activation 2.0 process.
================================================================================
                           INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

User can update BIOS flash image via the following method
A. UEFI iFlash32 2.6 Build 15
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and BIOS R0054.CAP file to a HD or USB Flash Drive       
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt (or call "startup.nsh")
	   fs0:\> IFlash32 R0054.CAP /u /ni
   6.  Reboot system after the update is completed.

================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================

The Recovery process can be initiated by setting the recovery jumper
(called BIOS Recovery Boot Jumper)

A BIOS recovery can be accomplished from SATA CD and USB Mass Storage device. 
Please note that recovery from USB floppy is not supported on this platform. 

The SATA CD image for recovery is created using El-Torito format image (bootable).

The recovery media must contain the following files under the root directory:
   1.  FVMAIN.FV 
   2.  UEFI iFlash32 2.6 Build 15 
   3.  *Rec.CAP
   4.  Startup.nsh (update accordingly to use proper *Rec.CAP file)

BIOS starts the recovery process by first loading and booting to the recovery image 
file (FVMAIN.FV) on the root directory of the recovery media (SATA CD or USB disk).
This process takes place before any video or console is available. Once the system boots 
to this recovery image file (FVMAIN.FV), it will boot automatically into EFI Shell to 
invoke the Startup.nsh script and start the flash update application (IFlash32.efi). 
IFlash32.efi requires the supporting BIOS Capsule image file (*Rec.CAP). 
After the update is complete, there will be a message displayed stating that the
"BIOS has been updated successfully" indicating the recovery process is finished.
The User should then switch the recovery jumper back to normal operation and restart
the system by performing a power cycle.


The following steps demonstrate this recovery process:
   1.  Power OFF the system.
   2.  Insert recovery media.
   3.  Switch the recovery jumper J1F3. Details regarding the jumper ID and location
       can be obtained from the Board TPS for S3420GP.
   4.  Power ON the system.
   5.  The BIOS POST screen will appear displaying the progress, and system automatically 
       boots to the EFI SHELL.
   6.  Startup.nsh file executes, and initiates the flash update (IFlash32.efi)
       with new capsule file (*Rec.CAP). The regular IFlash message will be displayed at
       the end of the process, once the flash update succeeds.
   7.  Power OFF the system, and revert the recovery jumper J1F3 position to "normal operation".
   8.  Power ON the system.
   9.  Do *NOT* interrupt the BIOS POST during the first boot.

================================================================================
                        ME FIRMWARE UPDATE INSTRUCTIONS
================================================================================
A. UEFI iFlash32 2.6 Build 15
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and ME.CAP file to a HD or USB Flash Drive
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
           fs0:\> IFlash32 ME.CAP /u /ni
   6.  AC cycle the system after the update is completed.
================================================================================
                            KNOWN ISSUES/WORKAROUNDS
================================================================================
  -  Intel(R) Core(TM) Processor i3 series must work with Ignition ME FW 6.0.20.1185
     or later version.
  -  Please clear CMOS after BIOS update to activate ME-FW 1185 or later version.

================================================================================
                              FEATURES ADDED/REMOVED
================================================================================
  - N/A
================================================================================
                                R0054
================================================================================
  - Integrated new CPU microcode m13106e5_00000009, m1220652_00000010 and m9220655_00000006.
================================================================================
                                R0053
================================================================================
  - Update CPU microcode.
================================================================================
 				R0052
=================================================================================
  - Add Administrator password protection for EFI shell boot if admin password set
  - This version enhances the protection of certain UEFI variables as described in 
	Intel Security Advisory INTEL-SA-00038
================================================================================
                                R0051
================================================================================
  - Added: RMM3 password via BIOS setup can accept special characters.
  - Added: Matrix RAID(RST) OPROM is upgraded to V10.8.0.1303.
  - Fixed: Set maximum 16 bytes BMC user password of RMM3 in BIOS setup.
  - Fixed: Silicom 8 ports NIC module auto reboot issue.
================================================================================

                                R0050
================================================================================
  - Added: Intel(R) Matrix RAID supports 3TB or more capacity Hard Disk Drive.
  - Added: ESRT2 RAID supports 3TB or more capacity HDD.
  - Fixed: Some Intel PCIe Network Cards PXE boot failure issue.
  - Fixed: SRCSASJV card detection issue during system POST.
  - Fixed: 3TB HDD show wrong size in setup on SATA Enhanced and Compatibility mode.

================================================================================
                                R0049
================================================================================
  - Fixed: System fails to boot due to unrecoverable fatal error under certain
           condition with AXX4SASMOD RAID controller installed
  - Fixed: Aja* Kona3* PCIe card has blue screen issue with PCIE error event in SEL
  - Fixed: The unexpected spurious hard drive LEDs is light from SR1630HGP under
           certain conditions

================================================================================
                                R0048
================================================================================
  - Added: Power on Password feature
  - Fixed: OEM Activation 1.0 OEM string can't be updated
  - Fixed: RST makes West Digital* HDD incompatible after degrading of RAID array

================================================================================
                                R0047
================================================================================
  - Added: Software RAID OPROM update
  - Fixed: Processor frequency incorrect when EIST disable and HT enable in BIOS
  - Fixed: PCI slot location shows incorrect
  - Fixed: Pass-through DMA support option still appear when populate non VT-D
           processor
  - Fixed: 3rd party utility can not display the boot order tab.

================================================================================
                                R0046
================================================================================
  - Fixed: LAN statics IP will be lost in Win2K8 R2 /Win7 on BIOS update caused
           by BIOS R0043
================================================================================
                                R0045
================================================================================
  - Fixed: Under SATA enhanced mode, two more HDDs w/o OS boot device order 
           issue caused by BIOS R0043
  
================================================================================
                                R0044
================================================================================
  - Fixed: Installed memory not shown in setup after reset

================================================================================
                                R0043
================================================================================
  - Added: 6GB SAS module setup option in setup
  - Added: AHCI hotplug feature support
  - Added: Preserve OEM Key during BIOS update process 
  - Added: Enhance BIOS region protection against boot failure
  - Fixed: Under SW RAID mode, NIC boot set to 1st place always in boot sequence
  - Fixed: System shows a icon of safely remove PCIE card under windows 2008
  - Fixed: Add-in PCI NIC device runs on low bandwidth
  - Fixed: SAS module disable cause fatal error 
================================================================================
                                R0042
================================================================================
  - Fixed: HT option can't be set in setup.
  
================================================================================
                                R0041
================================================================================
  - Added: Intel(R) Core(TM) Processor i3-500 series K0 stepping support.
  - Added: LSI* ESRT2 SW RAID support for S3420GPV.
  - Added: 3.5G memory support for Windows* XP sp2/sp3.
  - Fixed: SN and Asset Tag string change to read only.
  - Fixed: BIOS option "Memory Mapped I/O above 4GB" is not funcitonal.
  - Fixed: Key Press not recognized when booting to EFI Loader. 
  - Fixed: Issue of the 1-5-4-2 beep after system rest when change processor VT 
           or HT settings in BIOS.
  - Fixed: PCIe device control register error reporting enable which are disabled
           by ESS sync.
  - Added: VTD auto detection setup control
  - Fixed: Roll back CPU HT/VT/MC setup setting help string.
  - Fixed: Unreported Memory IO test, then the system hang up under Windows* 2003
           Server 32bit OS.

================================================================================  
                                R0040
================================================================================
  - Fixed: 1-5-4-2 BEEP issue.

================================================================================
                                R0039
================================================================================
  - Fixed: Install Windows* 2008 64bit UEFI system, the screen displays abnormality. 

================================================================================
                                R0038
================================================================================
  - Added: Update ME F/W to 1199
  - Fixed: PCIe error detected by AER root error status, and shorten Suse11 boot 
           black screen time. 
  - Fixed: Data parity error - PERR and Address parity error - SERR test fail.
  - Added: Help string to DHCP host name. 

================================================================================
                                R0037
================================================================================
  - Fixed: SMBIOS type 10 onboard device LAN string
  - Fixed: In EWS P1 thermal ctrl sensor reading is abnormal
  - Added: Non-production processor uCode removal

================================================================================
                                R0036
================================================================================
  - Fixed: BIOS display "BMC DHCP host name" error when length is 16byte
  - Fixed: BIOS help string update in "Core Multi-Processing" item

================================================================================
                                R0035
================================================================================
  - Added: BIOS Help string update after changing HT/VT in CPU. 

================================================================================
                                R0034
================================================================================
  - Fixed: SUSE* 11 installation fatal error issue.
  - Fixed: SATA/CDROM detection issue.

================================================================================
                                R0033
================================================================================
  - Fixed: Insert the two same card to PCIE slotsSystem can't power up if Insert
           the two same card to PCIE slots.
  - Fixed: SATA detection issue.
  - Fixed: Address and IRQ can't be set to "2F8" and "3" for Serial port A. 
  - Fixed: processor run low frequency when eist,turo mode disable and change core
           number to 1.
  - Fixed: Caterr singal is wrong.
  - Fixed: The system will auto wake up from S1 with Quad Port GB IO Module populate.
  - Fixed: BIOS variable 'SetupCtrl' is not seen on dumpstore when booted without F2.
  - Fixed: Type field value of SMBIOS type3 show incorrect. 
  - Fixed: SMBIOS type1 show incorrect when wake up the system. 
  - Fixed: USB device re-ordering isn't disable when install administrator password.
  - Fixed: HDD fault LED was blinking abnormally.
  - Fixed: Change CMOS_PCH_THERMAL_TRIP_OFFSET value which is conflict with
           CMOS_WAK_TYPE_STORE in DR_1062.
  - Fixed: SATA CDROM recovery failure sometimes.
  - Fixed: Some file dim error issue.
  - Fixed: Klocwork critical issues.
  - Added: Modify the FSC setup option strings.

================================================================================
                                R0032
================================================================================
  - Added: Intel(R) 3420 Chipset PCH Reference Code 1.03 Sync
  - Fixed: PCIe error logging code framework
  - Fixed: When insert NVS440 card to PCIE Slot5 or Slot6, system will hang.
  - Fixed: System Boot Timeout default value is mismatch with help info.
  - Fixed: No any error message for password was cleared in the BIOS setup.
  - Fixed: Cpu works low frequency when eist and ht disable.
  - Fixed: No post led and beep code when no memory is populated with Intel(R) Core(TM)
           Processor i3 series.
  - Fixed: Default FAN PWM in setup menu can't reach to low 100%
  - Fixed: ECC scrub for Intel(R) Core(TM) Processor i3 series.
  - Fixed: The incorrect ME binary path.
  - Added: Back the MP table in LegacyBios.
 
================================================================================
                                R0031
================================================================================
  - Added: Intel(R) Core(TM) Processor i3 series Memory Error logging support.
  - Added: Intel(R) Core(TM) Processor i3 series VT-d support.
  - Added: ME-FW version display in decimal.
  - Fixed: Intel(R) Core(TM) Processor i3 series slot6 lost issue.
  - Fixed: Slot5 down to PCIe* x1 issue.
  - Fixed: The Fan Speed Value is incorrect in BIOS Register. 
  - Fixed: SIO voltage monitoring P5V/P12V test fail.
  - Added: Hide the ACPI 1.0 item in BIOS Setup.
  - Fixed: The system automatically resumed from S1 Mode. 
  - Fixed: There is one uncorrectable parity error log with Intel(R) Core(TM) Processor
           i3 series every boot.
  - Fixed: Setup BMC variable can't be set when channel is 3.
  - Fixed: MRC didn't send Memory_init_done message to ME F/W.
  - Fixed: 3085 card works at x1 speed.
  - Fixed: Add ECC error feature for Intel(R) Core(TM) Processor i3 series.

================================================================================
                                R0030
================================================================================
  - Added: Intel(R) Core(TM) Processor i3 series microcode update to 08.
  - Fixed: The issue of not detecting any USB device after recoverying from USB disk. 
  - Fixed: There is no error code in error manager of setup when populated correctable 
           error DIMM.
  - Fixed: Diagnostic LED major error code 0xB2 and 0xED are alternate twinkle when 
           populate mixed memory.
  - Fixed: QPI Link Frequency show unknown with Intel(R) Core(TM) Processor i3 series.
  - Fixed: Intel(R) Core(TM) Processor i3 can't support PCIE slot6&5.
  - Fixed: Memory Post Error Code show error when populate more than two QR memorys. 
  - Fixed: Create variables till NVRAM store is full,Windows* 2008 still can install.
  - Fixed: BIOS Boot performance tuning (PCI device enumaration).
  - Fixed: BIOS Boot performance tuning (Enable DP tool).
  - Fixed: BIOS Boot performance tuning in HECI.
  - Fixed: The issue of not detecting SATA device under LSI* SW RAID mode, which is 
           brought by PCH 1.02 sync.
  - Fixed: SetupBMC use Boot Service memory after change this moudle to RunTime moudle
  - Fixed: Install UEFI blue screen issue.
  - Fixed: Dynamically show event log in setup
  - Added: Upgrade the Ignition ME FW to 6.0.20.1185
  - Added: PCH reference code 1.02 sync
  - Fixed: Event log for thermal trip

================================================================================
                                R0029
================================================================================
  - Fixed: Intel(R) Core(TM) Processor i3-540 unable to boot issue

================================================================================
                                R0028
================================================================================
  - Fixed: Intel(R) Core(TM) Processor i3 bootable issue.
  - Added: Winbond* flash part W25Q64BV support.
  - Fixed: IIO selftest errors.
  - Fixed: LED status issue on SATA back panel.
  - Added: Update BIOS SETUP strings according to BIOS EPS V1.0.
  - Fixed: PCIe* slot2 info is incorrect on S3420GPLC board.
  - Fixed: SAS module show incorrect location in Windows* 2008 Server OS.
================================================================================
                                R0027
================================================================================
  - Added: Enhance manageability (SMBIOS) via OOB 
  - Added: IBMC* Onboard NIC & RMM3 NIC configurable via BIOS SETUP
  - Added: C6 and C3 hidden setup option
  - Fixed: The system halted after pressing "Pause" key
  - Fixed: Windows* 2008 32bit system show incorrect location about PCIE* slot5
           location  
  
================================================================================ 
                                R0026
================================================================================
  - Fixed: Local USB KB can't work in 1 min with hot-plug in USB FDD under DOS
  - Fixed: SAS module fatal error issue
  - Fixed: Hiding USB 2.0 disable/enable item due to RMH=1

================================================================================
				R0025
================================================================================
  - Fixed: After mount a virtual device,keyboard no response during POST within 
           KVM session
  - Fixed: Function keys can hardly work during POST from KVM session
  - Fixed: SUSE* 32bit installation failed because system happen to DMI uncorrectable
           error
  - Fixed: PCIe* power down timing issue
  - Fixed: SMBIOS don't know DIMM_A3 information
  - Fixed: No error message in error manager when fault DIMM populated
  - Fixed: Fatal error captured on SAS module by ITP
  - Added: PCH EDS 1.54 Update of the USBIRC register

================================================================================
				R0024
================================================================================
  - Added: IIO Ref code v1.10 update
  - Added: monoBIOS code for S3420GPV
  - Fixed: PCI Express* error injection fail on slot 4/5/6 via E2969A PTC card
  - Fixed: 82578DM disconnected during Run S5 stress in Windows* 2003 32bit
  - Fixed: No error message in error manager when fault DIMM populated
  - Fixed: When use ipmitool build connection, SOL transition will lost
  - Fixed: Individual PXE boot through NIC1/NIC2 test fail
  - Fixed: Shutdown OS fail under Windows* 2008 64bit UEFI OS
  - Fixed: RHEL* OS show ACPI PCT error during OS POST
  - Fixed: No WHEA log when inject UCE in Windows* 2008 OS
  - Fixed: Windows* 2008 32bit show incorrect location about slot5
  - Fixed: Intel(R) VT for directed I/O test failed with VT compliant checkout tool
  
================================================================================
                                R0023
================================================================================
  - Added: ME.CAP update support
  - Added: EDS 1.52 USB SI settings update
  - Fixed: USB KB/MS hang issue in EHCI SVID
  - Fixed: Windows* 2008 64bit UEFI OS boot option show error under AHCI mode
  - Fixed: PCIe* slot add-in card detection fix
  - Added: Change SATA setup string LSI* SW Raid mode to ESRT2

================================================================================
				R0022
================================================================================
  - Fixed: black screen issue during OS DC cycling test
  - Added: LSI* SWRAID OPROM is updated
  - Fixed:  SMM security issue during logo update
  - Fixed: Modify UHCI defination in DSDT and redefined EHCI PIRQ for RMH enabled


[END OF RELEASE NOTES]
